package com.securitycontrol.background.service;

import com.securitycontrol.common.core.domain.Result;
import com.securitycontrol.common.core.web.domain.AjaxResult;
import com.securitycontrol.entity.background.vo.DeviceVo;
import com.securitycontrol.entity.background.vo.EmergencyPlanVo;
import com.securitycontrol.entity.file.FileExportVo;
import org.springframework.web.multipart.MultipartFile;

import java.util.List;

/**
 * 应急预案流程
 * @author 黑子
 */
public interface EmergencyService {

    /**
     * 查询信息列表
     * @param dto
     * @return
     */
    List<EmergencyPlanVo> getList(EmergencyPlanVo dto);

    /**
     * 新增应急电话
     * @param dto
     * @return
     */
    Result<String> addTelData(EmergencyPlanVo dto);

    /**
     * 更新应急电话
     * @param dto
     * @return
     */
    Result<String> updTelData(EmergencyPlanVo dto);

    /**
     * 删除数据
     * @param dto
     * @return
     */
    Result<String> deleteData(EmergencyPlanVo dto);

    /**
     * 上传文件
     * @param files
     * @param dto
     * @return
     */
    Result<String> addYaFile(MultipartFile[] files, EmergencyPlanVo dto);

    /**
     * 修改文件信息
     * @param files
     * @param dto
     * @return
     */
    Result<String> updateYaFile(MultipartFile[] files, EmergencyPlanVo dto);

    /**
     * 获取文件详情信息
     * @param dto
     * @return
     */
    Result<List<FileExportVo>> getFileDetails(EmergencyPlanVo dto);

    /**
     * 下载文件
     * @param fileId
     * @return
     */
    byte[] downLoadSgFile(String fileId);
}
